--^=========================================^--
--)-----[ AW's TAIWANESE REPUBLIC MOD ]-----(--
--V=========================================V--
-->-----> CIV IV TRAITS COMPATIBILITY <-----<--

CREATE TABLE IF NOT EXISTS 
	Leader_SharedTraits (
	LeaderType	text	REFERENCES	Leaders(Type)	default		null,
	TraitOne	text	REFERENCES	Policies(Type)	default		null,
	TraitTwo	text	REFERENCES	Policies(Type)	default		null);

INSERT OR REPLACE INTO Leader_SharedTraits
	(LeaderType,					TraitOne,				TraitTwo)
VALUES 
	('LEADER_AW_CHIANG_CHING_KUO', 'POLICY_INDUSTRIOUS_X', 'POLICY_SEAFARING_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' )
	THEN '[COLOR_16NP_BLUE]Chiang Ching-kuo [ICON_PRODUCTION][ICON_GREAT_EXPLORER][ENDCOLOR]'
	ELSE 'TXT_KEY_LEADER_AW_CHIANG_CHING_KUO' END) 
WHERE Type = 'LEADER_AW_CHIANG_CHING_KUO';

CREATE TRIGGER CivIVTraits_AW_ChiangChingKuo
AFTER INSERT ON Leaders WHEN 'LEADER_AW_CHIANG_CHING_KUO' = NEW.Type
BEGIN
	UPDATE Leaders 
	SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' )
		THEN '[COLOR_16NP_BLUE]Chiang Ching-kuo [ICON_PRODUCTION][ICON_GREAT_EXPLORER][ENDCOLOR]'
		ELSE 'TXT_KEY_LEADER_AW_CHIANG_CHING_KUO' END) 
	WHERE Type = 'LEADER_AW_CHIANG_CHING_KUO';
END;

 