--^=========================================^--
--)-----[ AW's TAIWANESE REPUBLIC MOD ]-----(--
--V=========================================V--
-->---------------> E&D SUPPORT <-----------<--

CREATE TABLE IF NOT EXISTS DecisionsAddin_Support(FileName);
INSERT INTO DecisionsAddin_Support (FileName) VALUES ('Decisions_Taiwan.lua');

CREATE TABLE IF NOT EXISTS EventsAddin_Support(FileName);
INSERT INTO EventsAddin_Support (FileName) VALUES ('Events_Taiwan.lua');

INSERT INTO Language_en_US (Tag, Text) VALUES
-- DECISIONS --
-- Ten Major Construction Projects --
('TXT_KEY_DECISION_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS', 'Ten Major Construction Projects'),
('TXT_KEY_DECISION_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS_DESC', 'With the world currently in a global economic crisis, we have a golden opportunity to leap ahead of our competitors and secure a brighter future. Our infrastructure could use some improvement. Why not embark on an overhaul of out domestic industry? [NEWLINE][NEWLINE]Requirements: [NEWLINE][ICON_BULLET]Player must be [COLOR_16NP_BLUE]Taiwan[ENDCOLOR] [NEWLINE][ICON_BULLET]May only be enacted once per game [NEWLINE][ICON_BULLET]May not be enacted before the Modern Era [NEWLINE][NEWLINE]Costs: [NEWLINE][ICON_BULLET]1 [ICON_MAGISTRATES] Magistrate [NEWLINE][ICON_BULLET]{1_Cost} [ICON_GOLD] Gold [NEWLINE][NEWLINE]Rewards: [NEWLINE][ICON_BULLET]Power Plants, Harbors, and Seaports cost 50% less [ICON_PRODUCTION] Production to build'),
('TXT_KEY_DECISION_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS_DESC_ENACTED', 'With the world currently in a global economic crisis, we have a golden opportunity to leap ahead of our competitors and secure a brighter future. Our infrastructure could use some improvement. Why not embark on an overhaul of out domestic industry? [NEWLINE][NEWLINE]Rewards: [NEWLINE][ICON_BULLET]Power Plants, Harbors, and Seaports cost 50% less [ICON_PRODUCTION] Production to build'),
-- Hold the Computex Taipei --
('TXT_KEY_DECISION_AW_TAIWAN_COMPUTEX_TAIPEI', 'Hold the Computex Taipei'),
('TXT_KEY_DECISION_AW_TAIWAN_COMPUTEX_TAIPEI_DESC', 'The future will belong to whoever can take the lead in high-tech industries. In our age, computers are at the forefront of those industries. We would do well to expand our market share of the global electronics industry - and perhaps "adopt" some of our competitors'' secrets as well. [NEWLINE][NEWLINE]Requirements: [NEWLINE][ICON_BULLET]Player must be [COLOR_16NP_BLUE]Taiwan[ENDCOLOR] [NEWLINE][ICON_BULLET]May only be enacted once per era [NEWLINE][ICON_BULLET]Must have researched Computers [NEWLINE][ICON_BULLET]At least one other player must have researched Computers [NEWLINE][NEWLINE]Costs: [NEWLINE][ICON_BULLET]{1_Cost} [ICON_GOLD] Gold [NEWLINE][ICON_BULLET]{2_Cost} [ICON_CULTURE] Culture [NEWLINE][ICON_BULLET]Your largest city shuts down for 1 turn [NEWLINE][NEWLINE]Rewards: [NEWLINE][ICON_BULLET]Immediately receive 50% of the combined total [ICON_RESEARCH] science output of every other player with Computers [NEWLINE][NEWLINE](NOTE: This current amounts to [ICON_RESEARCH] [COLOR_16NP_BLUE]{3_Science}[ENDCOLOR], since {4_NumPlayers} other players have researched Computers)'),
('TXT_KEY_DECISION_AW_TAIWAN_COMPUTEX_TAIPEI_DESC_ENACTED', 'The future will belong to whoever can take the lead in high-tech industries. In our age, computers are at the forefront of those industries. We would do well to expand our market share of the global electronics industry - and perhaps "adopt" some of our competitors'' secrets as well. [NEWLINE][NEWLINE]Rewards: [NEWLINE][ICON_BULLET]Immediately receive 50% of the combined total [ICON_RESEARCH] science output of every other player with Computers'),
-- EVENTS --
-- Good: The Ma-Xi Meeting --
('TXT_KEY_EVENT_AW_TAIWAN_MA_XI_MEETING', 'The Ma-Xi Meeting'),
('TXT_KEY_EVENT_AW_TAIWAN_MA_XI_MEETING_DESC', 'We have the rare opportunity to hold a diplomatic meeting with {1_Leader}, with whom we have historically engaged in hostilities. We''ve previously promised the populace that we would never meet with our sworn enemy, but on the other hand, this may be the beginning of closer bond between our empires and help to thaw our icy relations.'),
('TXT_KEY_EVENT_AW_TAIWAN_MA_XI_MEETING_OUTCOME_1', 'I''ll even shake their hand!'),
('TXT_KEY_EVENT_AW_TAIWAN_MA_XI_MEETING_OUTCOME_1_DESC', '[ICON_BULLET][COLOR_POSITIVE_TEXT]Free Research Agreement[ENDCOLOR] [NEWLINE][ICON_BULLET][COLOR_NEGATIVE_TEXT]Capital goes into [ICON_RESISTANCE] Anarchy for 1 turn[ENDCOLOR]'),
('TXT_KEY_WORLD_EVENT_AW_TAIWAN_MA_XI_MEETING_OUTCOME_1', 'In spite of previous promises, the government of Taiwan has met with its sworn enemy in an attempt to make amends.'),
('TXT_KEY_EVENT_AW_TAIWAN_MA_XI_MEETING_OUTCOME_2', '"I will not betray my people!'),
('TXT_KEY_EVENT_AW_TAIWAN_MA_XI_MEETING_OUTCOME_2_DESC', '[ICON_BULLET][COLOR_POSITIVE_TEXT]Varying turns of ''We Love The King Day'' throughout the empire[ENDCOLOR]'),
('TXT_KEY_WORLD_EVENT_AW_TAIWAN_MA_XI_MEETING_OUTCOME_2', 'The government of Taiwan has refused to meet with its sword enemy, eliciting praise from its citizens across the empire.'),
-- Bad: The February 28 Incident --
('TXT_KEY_EVENT_AW_TAIWAN_FEBRUARY_28', 'The February 28 Incident'),
('TXT_KEY_EVENT_AW_TAIWAN_FEBRUARY_28_DESC', 'Mayhem! Uprisings! After a reckless drug enforcement agent bludgeoned a tobacco dealer, a riot ensued in our capital, which was crushed with horrifyingly lethal brutality by the police. How shall we respond to the mass protests erupting across the whole nation in response?'),
('TXT_KEY_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_1', 'Supress these revolts with every weapon in the arsenal!'),
('TXT_KEY_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_1_DESC', '[COLOR_NEGATIVE_TEXT][ICON_BULLET]All cities suffer moderate damage and [ICON_RESISTANCE] Anarchy [NEWLINE][ICON_BULLET]Suffer {1_Unhappiness} [ICON_HAPPINESS_3] Unhappiness which will subside over time[ENDCOLOR]'),
('TXT_KEY_WORLD_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_1', 'Government brutalization of protesters has left the Taiwanese populace terrified.'),
('TXT_KEY_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_2', 'Stall for time. Maybe the problem will fix itself...'),
('TXT_KEY_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_2_DESC', '[COLOR_NEGATIVE_TEXT][ICON_BULLET]]All cities suffer high damage and [ICON_RESISTANCE] Anarchy[ENDCOLOR]'),
('TXT_KEY_WORLD_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_2', 'Empire-wide protests are raging across Taiwan, unchecked by the government.'),
('TXT_KEY_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_3', 'Offer our condolences - and compensation - to the bereaved.'),
('TXT_KEY_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_3_DESC', '[COLOR_NEGATIVE_TEXT][ICON_BULLET]All cities suffer minimal damage and [ICON_RESISTANCE] Anarchy [NEWLINE][ICON_BULLET]Lose {1_Gold} [ICON_GOLD] Gold[ENDCOLOR]'),
('TXT_KEY_WORLD_EVENT_AW_TAIWAN_FEBRUARY_28_OUTCOME_3', 'Taiwanese protesters have been mostly placated by government compensation for police brutality.'),
-- OTHER --
('TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28', 'Terror'),
('TXT_KEY_POLICY_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS', '10 Major Construction Projects');

INSERT INTO Policies (Type,							Description,												ExtraHappiness) VALUES 
('POLICY_AW_TAIWAN_FEBRUARY_28_1',					'TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28',						-1),
('POLICY_AW_TAIWAN_FEBRUARY_28_2',					'TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28',						-2),
('POLICY_AW_TAIWAN_FEBRUARY_28_4',					'TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28',						-4),
('POLICY_AW_TAIWAN_FEBRUARY_28_8',					'TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28',						-8),
('POLICY_AW_TAIWAN_FEBRUARY_28_16',					'TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28',						-16),
('POLICY_AW_TAIWAN_FEBRUARY_28_32',					'TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28',						-32),
('POLICY_AW_TAIWAN_FEBRUARY_28_64',					'TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28',						-64),
('POLICY_AW_TAIWAN_FEBRUARY_28_128',				'TXT_KEY_POLICY_AW_TAIWAN_FEBRUARY_28',						-128),
('POLICY_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS', 'TXT_KEY_POLICY_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS',	0);
INSERT INTO Policy_BuildingClassProductionModifiers VALUES
('POLICY_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS',	'BUILDINGCLASS_NUCLEAR_PLANT', 50),
('POLICY_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS',	'BUILDINGCLASS_HYDRO_PLANT', 50),
('POLICY_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS',	'BUILDINGCLASS_SOLAR_PLANT', 50),
('POLICY_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS',	'BUILDINGCLASS_HARBOR', 50),
('POLICY_AW_TAIWAN_10_MAJOR_CONSTRUCTION_PROJECTS',	'BUILDINGCLASS_SEAPORT', 50);

